Package ru.bitel.oss.kernel.directories.address.server.bean

# Class ParameterIds

java.lang.Object
ru.bitel.oss.kernel.directories.address.server.bean.ParameterIds

public class ParameterIds extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ParameterIds.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ParameterIds()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ParameterIds.Builder`
  `builder()`
  `static ParameterIds.Builder`
  `builder(House house)`
  `int`
  `getAreaId()`
  `int`
  `getCityId()`
  `int`
  `getCount()`
  `int`
  `getCountryId()`
  `int`
  `getHouseId()`
  `Map<String,Integer>`
  `getIds()`
  `int`
  `getQuarterId()`
  `int`
  `getRegionId()`
  `int`
  `getStreetId()`
  `void`
  `setAreaId(int areaId)`
  `void`
  `setCityId(int cityId)`
  `void`
  `setCountryId(int countryId)`
  `void`
  `setHouseId(int houseId)`
  `void`
  `setQuarterId(int quarterId)`
  `void`
  `setRegionId(int regionId)`
  `void`
  `setStreetId(int streetId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ParameterIds

    public ParameterIds()

- ## Method Details

  - ### getCountryId

    public int getCountryId()

  - ### getRegionId

    public int getRegionId()

  - ### getCityId

    public int getCityId()

  - ### getStreetId

    public int getStreetId()

  - ### getAreaId

    public int getAreaId()

  - ### getQuarterId

    public int getQuarterId()

  - ### getHouseId

    public int getHouseId()

  - ### getCount

    public int getCount()

  - ### getIds

    public Map<String,Integer> getIds()

  - ### setCountryId

    public void setCountryId(int countryId)

  - ### setRegionId

    public void setRegionId(int regionId)

  - ### setCityId

    public void setCityId(int cityId)

  - ### setStreetId

    public void setStreetId(int streetId)

  - ### setAreaId

    public void setAreaId(int areaId)

  - ### setQuarterId

    public void setQuarterId(int quarterId)

  - ### setHouseId

    public void setHouseId(int houseId)

  - ### builder

    public static ParameterIds.Builder builder()

  - ### builder

    public static ParameterIds.Builder builder(House house)